run.sh revision dafcb997e390efa4423883dafd100c975c4095d6
#
# Copyright (C) 2004 Internet Systems Consortium, Inc. ("ISC")
# Copyright (C) 2000, 2001 Internet Software Consortium.
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
# $Id: run.sh,v 1.40 2004/03/05 04:59:12 marka Exp $
#
# Run a system test.
#
stopservers=true
case $1 in
--keep) stopservers=false; shift ;;
esac
test=$1
shift
echo "T:$test:1:A" >&2
echo "A:System test $test" >&2
if [ x$PERL = x ]
then
echo "I:Perl not available. Skipping test." >&2
echo "R:UNTESTED" >&2
exit 0;
fi
echo "I:Network interface aliases not set up. Skipping test." >&2;
echo "R:UNTESTED" >&2;
exit 0;
}
# Check for test-specific prerequisites.
if
then
else
echo "I:Prerequisites for $test missing, skipping test." >&2
echo "R:UNTESTED" >&2
exit 0
fi
# Set up any dynamically generated test data
then
fi
# Start name servers running
# Run the tests
status=$?
if $stopservers
then
:
else
exit $status
fi
# Shutdown
if [ $status != 0 ]; then
echo "R:FAIL"
# Don't clean up - we need the evidence.
else
echo "R:PASS"
# Clean up.
then
fi
fi
exit $status